Vai al contenuto principale
POST
/
uploads
Create an upload target
curl --request POST \
  --url https://api.youka.io/api/v1/uploads \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "filename": "<string>",
  "contentType": "<string>",
  "contentLength": 123
}
'
{
  "inputFileId": "<string>",
  "uploadUrl": "<string>",
  "contentType": "<string>"
}

Autorizzazioni

Authorization
string
header
obbligatorio

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Intestazioni

Idempotency-Key
string

Corpo

application/json
filename
string
obbligatorio
Minimum string length: 1
contentType
string
obbligatorio
Minimum string length: 1
contentLength
number
obbligatorio
Intervallo richiesto: x <= 314572800

Risposta

200 - application/json

Upload target created

inputFileId
string
obbligatorio
uploadUrl
string<uri>
obbligatorio
contentType
string
obbligatorio